import { IAddOrderResponse, IOrder } from "@/api/order/types/order"
import { request } from "@/utils/service"
import * as AxiosType from "axios"
import { IPageResponseData, IResponseData } from "@/api/types/requests"

export function addOrderApi(order: IOrder) {
  return request<AxiosType.AxiosResponse<IResponseData<IAddOrderResponse>>>({
    url: "/order/addOrder",
    method: "POST",
    data: order,
    withCredentials: true
  })
}
export function getAllOrderApi(pageNum: number) {
  return request<AxiosType.AxiosResponse<IResponseData<IPageResponseData<IOrder>>>>({
    url: "/order/getOrder",
    method: "GET",
    params: {
      page: pageNum,
      num: 10
    },
    withCredentials: true
  })
}
